CREATE OR REPLACE VIEW public.suser_supervisor_v AS 
 SELECT currentuser.id,
    currentuser.id AS effective_user,
    supervisor.id AS supervisor,
    supervisor.unique_user_id AS supervisor_unique_id,
    supervisor.display_name AS supervisor_name
   FROM suser currentuser
     LEFT JOIN suser supervisor ON currentuser.supervisor_unique_id::text = supervisor.unique_user_id::text
  WHERE currentuser.deleted = false AND currentuser.effective = true AND supervisor.deleted = false AND supervisor.effective = true;

ALTER TABLE public.suser_supervisor_v
  OWNER TO igops;
GRANT ALL ON TABLE public.suser_supervisor_v TO igops;
GRANT SELECT ON TABLE public.suser_supervisor_v TO ig_report_role;